Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.viewController
Class DefaultViewControllerManager

    java.lang.Object
      org.apache.myfaces.orchestra.viewController.AbstractViewControllerManager
          org.apache.myfaces.orchestra.viewController.DefaultViewControllerManager

All Implemented Interfaces:
  ViewControllerManager

    public class DefaultViewControllerManager

extends AbstractViewControllerManager

A ViewControllerManager which uses the `DefaultViewControllerNameMapper` to map view-ids to bean names and the `ReflectiveViewControllerExecutor` to invoke view controller events on beans.

See Also:
  `ViewControllerManager`

Field Summary

Fields inherited from interface org.apache.myfaces.orchestra.viewController.ViewControllerManager
`VIEW_CONTROLLER_MANAGER_NAME`

Constructor Summary
`DefaultViewControllerManager()`

Method Summary
`protected ViewControllerExecutor` | `getViewControllerExecutor()`
`protected ViewControllerNameMapper` | `getViewControllerNameMapper()`

Methods inherited from class org.apache.myfaces.orchestra.viewController.AbstractViewControllerManager
`assertConversationState, executeInitView, executePreProcess, executePreRenderView, getViewController, getViewControllerName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultViewControllerManager

    public DefaultViewControllerManager()

Method Detail

### getViewControllerNameMapper

    protected ViewControllerNameMapper getViewControllerNameMapper()

  Specified by:
    `getViewControllerNameMapper` in class `AbstractViewControllerManager`

### getViewControllerExecutor

    protected ViewControllerExecutor getViewControllerExecutor()

  Specified by:
    `getViewControllerExecutor` in class `AbstractViewControllerManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.